sK1 Project :: OpenSource Solutions for Prepress
View Thread
 Print Thread
Problems Installing UniConvertor in Ubuntu 10.04
noam
#1 Print Post
Posted on 09-08-2010 09:01
Member

Posts: 1
Joined: 09.08.10

Hi,

I'm trying to install UniConvertor on my Ubuntu 10.04, but keep getting errors. I suspect my various attempts may have 'dirtied' my environment, but I can't really tell.

Anyway, after downloading the source and installing with:
sudo python setup.py install
on both direcotries (sk1libs.. and uniconvertor..), I'm trying to run
uniconvertor 001.ai 001.pdf

but I get the following error:

Traceback (most recent call last):
File "/usr/local/bin/uniconvertor", line 13, in <module>
uniconv_run()
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/__init__.py", line 83, in uniconv_run
from app.io import load
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/__init__.py", line 69, in <module>
from conf.configurator import Configurator
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/conf/configurator.py", line 11, in <module>
from app.events import connector
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/__init__.py", line 72, in <module>
from managers.colormanager import ColorManager
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/managers/colormanager.py", line 9, in <module>
from sk1libs.pycms import cmsOpenProfileFromFile,cmsCreateTransform,cmsDoTransform, \
File "/usr/local/lib/python2.6/dist-packages/sk1libs/pycms/__init__.py", line 22, in <module>
FIG - XFig files
ImportError: No module named _pycms

I also tried installing from the DEB files given in the site, but after installing both DEBs, I get the following error:

Traceback (most recent call last):
File "/usr/local/bin/uniconvertor", line 13, in <module>
uniconv_run()
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/__init__.py", line 83, in uniconv_run
from app.io import load
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/__init__.py", line 69, in <module>
from conf.configurator import Configurator
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/conf/configurator.py", line 11, in <module>
from app.events import connector
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/__init__.py", line 72, in <module>
from managers.colormanager import ColorManager
File "/usr/local/lib/python2.6/dist-packages/uniconvertor/app/managers/colormanager.py", line 9, in <module>
from sk1libs.pycms import cmsOpenProfileFromFile,cmsCreateTransform,cmsDoTransform, \
ImportError: cannot import name cmsCreateRGBProfile

Any help would be greatly appreciated!

Thanks,
Noam
 
igor
#2 Print Post
Posted on 10-08-2010 12:08
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

Hi!

When you have compiled sk1libs it seems the module compilation was not successful. And installation of this corrupted module affects on installed DEB packages (the packages are installed into /usr/lib/python2.6/dist-packages/ directory but in stacktrace we have error from /usr/local/lib/python2.6/dist-packages/ i.e. this is a clash between DEB packages and build artefacts). So I would recommend you removing manually the build result from /usr/local/lib/python2.6/dist-packages/

Just delete uniconvertor and sk1libs folders in /usr/local/lib/python2.6/dist-packages/ Also please remove uniconvertor launch script from /usr/local/bin After that uniconvertor packages should work correctly.
Regards,

Igor Novikov
sK1 Project
Edited by igor on 10-08-2010 12:09
 
pablus89
#3 Print Post
Posted on 13-08-2010 22:30
Member

Posts: 1
Joined: 13.08.10

Hi, I'm new at linux and I can't install Sk1 on my ubuntu 10.04.

This is what I do: I download the libs from the download page, choosing the Ubuntu 9.10 32bit ones, then install'em with synaptic package manager, it finishes, no errors, then I do the same proces on the "sK1-0.9.1pre-rev905_0ubuntu1_9.10_i386.deb" package and when its finished... nothing!

I'm sure theres one step missing, or the whole process is wrong, but I don't know. Do I have to compile the tarballs? How do I do that?

Thanks a lot
 
Jump to Forum: